%{?mingw_package_header}

%global _python_bytecompile_errors_terminate_build %nil

Name:           mingw-gdb
Version:        9.2
Release:        %mkrel 4
Summary:        MinGW Windows port of the GDB debugger

# Same License tag as the native gdb package has:
License:        GPLv3+ and GPLv3+ with exceptions and GPLv2+ and GPLv2+ with exceptions and GPL+ and LGPLv2+ and BSD and Public Domain
Group:          Development/Other
URL:            http://gnu.org/software/gdb/
Source0:        https://ftp.gnu.org/gnu/gdb/gdb-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  gcc

BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-expat
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-zlib

BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-expat
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-zlib

BuildRequires:  texinfo

Provides: bundled(libiberty)

%description
This is the MinGW Windows port of the GDB, the GNU debugger.


# Win32
%package -n mingw32-gdb
Summary:        MinGW Windows port of the GDB debugger
# Provide upgrade path for the gdb packages distributed at
# http://mingw-cross.sourceforge.net
Obsoletes:      mingw32-gdb-gdbserver < 6.8.50.20090302-2

%description -n mingw32-gdb
This is the MinGW Windows port of the GDB, the GNU debugger.

# Win64
%package -n mingw64-gdb
Summary:        MinGW Windows port of the GDB debugger

%description -n mingw64-gdb
This is the MinGW Windows port of the GDB, the GNU debugger.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n gdb-%{version}


%build
%mingw_configure
%mingw_make_build


%install
%mingw_make_install

# Remove bfd and opcodes libraries
rm -rf %{buildroot}%{mingw32_datadir}/locale/
rm -rf %{buildroot}%{mingw32_includedir}/
rm -rf %{buildroot}%{mingw32_libdir}/

rm -rf %{buildroot}%{mingw64_datadir}/locale/
rm -rf %{buildroot}%{mingw64_includedir}/
rm -rf %{buildroot}%{mingw64_libdir}/

# Remove documentation which is duplicate with native gdb package
rm -rf %{buildroot}%{mingw32_datadir}/info/
rm -rf %{buildroot}%{mingw32_mandir}/

rm -rf %{buildroot}%{mingw64_datadir}/info/
rm -rf %{buildroot}%{mingw64_mandir}/

# Remove unusefull gdb-add-index script
rm %{buildroot}%{mingw64_bindir}/gdb-add-index
rm %{buildroot}%{mingw32_bindir}/gdb-add-index


%files -n mingw32-gdb
%license COPYING3 COPYING COPYING.LIB
%{mingw32_bindir}/gdb.exe
%{mingw32_bindir}/gdbserver.exe
%{mingw32_datadir}/gdb/

%files -n mingw64-gdb
%license COPYING3 COPYING COPYING.LIB
%{mingw64_bindir}/gdb.exe
%{mingw64_bindir}/gdbserver.exe
%{mingw64_datadir}/gdb/




%changelog
* Sat Sep 26 2020 tv <tv> 9.2-4.mga8
+ Revision: 1630518
- rebuild for new mingw stack

* Fri Sep 11 2020 tv <tv> 9.2-3.mga8
+ Revision: 1624457
- 9.2
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 8.1-2.mga7
+ Revision: 1279672
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 daviddavid <daviddavid> 8.1-1.mga7
+ Revision: 1247640
- new version: 8.1

* Wed Apr 06 2016 tv <tv> 7.8.1-1.mga6
+ Revision: 998900
- rebuild with new gcc

* Mon Feb 08 2016 umeabot <umeabot> 7.6-6.mga6
+ Revision: 943236
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 7.6-5.mga5
+ Revision: 746318
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.6-4.mga5
+ Revision: 682434
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 7.6-3.mga4
+ Revision: 536227
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 7.6-2.mga4
+ Revision: 483595
- imported package mingw-gdb

